import requests
from time import sleep
from random import randint

HOST = "http://192.168.200.15/"

def buyShare(idBuyer, idShare, price):
    url = HOST + 'api/shares/buy'
    obj={'buyer_id':idBuyer,'share_id':idShare, 'price': price}
    r = requests.post(url, json=obj)
    return r.json()

def getSharesOf(idBuyer):
    url = HOST + 'api/shareholders/'+idBuyer+'/shares'
    r = requests.get(url)
    return r.json()

def getShare(idShare):
    url = HOST + 'api/shares/'+idShare
    r = requests.get(url)
    return r.json()

def getAllShares():
    url = HOST + 'api/shares'
    r = requests.get(url)
    return r.json()

def getInfoBuyer(idBuyer):
    url = HOST + 'api/shareholders/'+idBuyer
    r=requests.get(url)
    return r.json()

def getAllBuyers():
    url = HOST + 'api/shareholders/'
    r=requests.get(url)
    return r.json()

if __name__ == "__main__":
    shareholders = getAllBuyers()
    while True:
        shares = getAllShares()
        
        shareId = randint(0, len(shares) - 1)
        buyShare(randint(0, len(shareholders) - 1), shareId, shares[shareId]["price"] + randint(-20, 20))

        sleep(30)            

